PHP, which is a recursive initialism for PHP: Hypertext Preprocessor, is among the most famous server-side programming languages available out there. Any website or web app created with PHP will run on a given server on the condition that a PHP module is enabled, which renders the language really universal and it’s not really that unusual that there are several million web servers that support it and hundreds of millions of PHP-driven websites running on them. PHP is preferred over HTML due to the fact that it permits you to create a dynamic serving website with a multitude of features. A PHP-based community portal, for instance, will show unique content to each visitor even though the URL will remain the same. In comparison, HTML sites are static and the page content can be modified only manually. Like any other piece of software, PHP has different versions and the one that was used whilst building a given website must be enabled on the server in order for the site to work flawlessly.

PHP 4 and PHP 5 Support in Shared Web Hosting

We’ve decided not to restrict our present and future customers from picking the PHP version that their websites will be using, which goes to say that if you get a shared web hosting plan from us, you will be able to select between versions 4, 5.2, 5.3, 5.4 and 5.5, not only for the account itself, but also for each single domain name hosted by you. This can be accomplished with only one single click from our custom-developed Hepsia Control Panel via which all hosting accounts are administered, so you won’t need any programming or technical expertise. You’ll be able to host websites built with both old and new scripts without having to overcome any obstructions, so if you wish to swap your current hosting services provider and migrate over to us, you can be certain that all the websites that you have created throughout the years will continue to run impeccably.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

Even if your sites were built with an older version of PHP, you’ll be able to host them in a semi-dedicated server account from us, since we support different versions running at the same time on our semi-dedicated servers and each one of them can be enabled for your account with just a click via our custom-built Hepsia Control Panel. In addition to the latest PHP 5.4 and PHP 5.5, we also support 5.3, 5.2 and the older PHP 4, which has already been dropped by the great majority of hosting vendors, but we strongly think that you shouldn’t be compelled to modify a site that took years to develop, as older script language syntax doesn’t necessarily suggest safety flaws. Just the opposite, an adequately maintained site using PHP 4 can be more secure than an inadequately maintained one using PHP 5. For your convenience, we’ll also give you the opportunity to pick a different version for each individual website within the account.